Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QPainter

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QPainter class reference

### Public Functions

- void drawPoints ( const QPointArray & pa, int index, int npoints = -1 ) `(obsolete)`

## Member Function Documentation

### void QPainter::drawPoints ( const QPointArray & pa, int index, int npoints = -1 )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Draws the array of points pa using the current pen's color.

If index is non-zero (the default is zero), only points starting from index are drawn. If npoints is negative (the default) the rest of the points from index are drawn. If npoints is zero or greater, npoints points are drawn.

See also drawPoints.